"{ Package: 'stx:libjava' }"

TestCase subclass:#JavaClassReaderTests
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Tests'
!


!JavaClassReaderTests class methodsFor:'resources'!

resources
    ^ Array with: JavaInitializedResource with: JavaTestsResource with: JavaLibrariesResource.

    "Created: / 15-03-2011 / 15:48:58 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 16-03-2011 / 14:45:10 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 04-06-2011 / 18:06:34 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaClassReaderTests methodsFor:'setUp'!

setUp
    "we need to flush caches"

    Java addToClassPath: '/usr/share/java/junit4.jar'.

    "Created: / 15-03-2011 / 15:54:14 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 15-03-2011 / 16:59:01 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 16-03-2011 / 14:51:30 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaClassReaderTests methodsFor:'testing'!

testLoadClassesInGivenRootDir
    JavaClassReader 
        loadClassesIn: ((UserPreferences current javaTestsDirectory) asFilename 
                / 'libjava' / 'bin').
    self 
        assertTrue: (Java classNamed: 'stx.libjava.tests.RegexTests') isNil not.

    "Created: / 16-03-2011 / 21:31:28 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 07-04-2011 / 23:16:14 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 04-06-2011 / 18:07:38 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaClassReaderTests class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
