"{ Package: 'stx:libjava' }"

JavaAntProjectResource subclass:#JavaTestsResource
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Tests'
!


!JavaTestsResource class methodsFor:'accessing'!

classpath
    |cp|

    cp := OrderedCollection new.
    self antProjectDir 
        directoryContentsDo:[:dir | cp := cp , (self classpathFor:dir) ].
    ^ cp

    "
        JavaTestsResource classpath"
    "Created: / 07-05-2011 / 18:15:16 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 11-06-2011 / 16:40:31 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

classpathFor:testProject 
    |cp dir|

    cp := OrderedCollection new.
    dir := self antProjectDir / testProject.
    dir isDirectory 
        ifTrue:
            [ (dir / 'bin') exists ifTrue:[ cp add:(dir / 'bin') asString ].
            (dir / 'lib') exists 
                ifTrue:
                    [ cp addAll:((dir / 'lib') directoryContentsAsFilenames 
                                select:[:jar | jar suffix = 'jar' ]) ] ].
    ^ cp

    "
        JavaTestsResource testsClasspath"
    "Created: / 11-06-2011 / 15:58:00 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

classpathForLibjava
    ^ self classpathFor:'libjava'

    "
        JavaTestsResource classpathForLibjava
    "

    "Created: / 21-06-2011 / 17:34:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

classpathForMauve
    ^ self classpathFor:'libjava-mauve'

    "
        JavaTestsResource testsClasspathForMauve"
    "Created: / 11-06-2011 / 15:59:31 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaTestsResource class methodsFor:'accessing - ant project'!

antProjectDir

    ^ UserPreferences current javaTestsDirectory asFilename

    "Modified: / 07-05-2011 / 17:57:05 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Created: / 18-07-2011 / 18:15:15 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaTestsResource class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
