"{ Package: 'stx:libjava' }"

JavaClassContentRef2 subclass:#JavaMethodRef2
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Reader-Support-new'
!


!JavaMethodRef2 methodsFor:'printing & storing'!

printOn:aStream
    "append a printed representation if the receiver to the argument, aStream"

    super printOn:aStream.
! !

!JavaMethodRef2 methodsFor:'private - resolving'!

findResolvedStaticValue
    valueCache := JavaResolver uniqueInstance 
                resolveStaticMethodIndentifiedByRef: self.
    classCache := (constantPool at: classRefIndex) resolve.
    classCache ifNil: [ self breakPoint: #mh ].
    nameAndTypeCache := (constantPool at: nameAndTypeIndex) resolve.
    nameAndTypeCache ifNil: [self breakPoint: #mh].

    "Created: / 28-04-2011 / 22:45:53 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
    "Modified: / 18-05-2011 / 12:44:03 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
!

findResolvedValue
    "Resolve reference and set valueCache."
    
    valueCache := JavaResolver uniqueInstance 
                resolveMethodIndentifiedByRef: self.
    classCache := (constantPool at: classRefIndex) resolve.
    classCache ifNil: [ self breakPoint: #mh ].
    nameAndTypeCache := (constantPool at: nameAndTypeIndex) resolve.
   nameAndTypeCache ifNil: [self breakPoint: #mh].

    "Modified: / 18-05-2011 / 12:44:07 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaMethodRef2 methodsFor:'queries'!

isJavaMethodRef
^ true.

    "Created: / 11-04-2011 / 19:56:35 / Marcel Hlopko <hlopkmar@fel.cvut.cz>"
! !

!JavaMethodRef2 class methodsFor:'documentation'!

version_SVN
    ^ '$Id$'
! !
